//
// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// XXX.cc -- 
//
// Author           : Richard C. Bilson
// Created On       : Mon May 18 07:44:20 2015
// Last Modified By : 
// Last Modified On : 
// Update Count     : 0
//
/*
 * This file is part of the Cforall project
 *
 * $Id: UniqueName.cc,v 1.1 2002/04/30 03:30:14 rcbilson Exp $
 *
 */

#include <string>
#include <strstream>

#include "UniqueName.h"

UniqueName::UniqueName( const std::string &base )
  : base( base ), count( 0 )
{
}

std::string 
UniqueName::newName( const std::string &additional )
{
  std::ostrstream os;
  os << base << additional << count++;
  return std::string( os.str(), os.pcount() );
}

// Local Variables: //
// tab-width: 4 //
// mode: c++ //
// compile-command: "make install" //
// End: //
